com.io7m.r2.core

## Interface R2GeometryRendererType

- All Superinterfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType
  All Known Implementing Classes:
    R2GeometryRenderer

      public interface R2GeometryRendererType
      extends R2DeletableType

  The type of renderers that populate geometry buffers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `renderGeometry(com.io7m.jareas.core.AreaInclusiveUnsignedLType area, Optional<R2GeometryBufferUsableType> gbuffer, com.io7m.jcanephora.profiler.JCGLProfilingContextType pc, com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc, R2MatricesObserverType m, R2SceneOpaquesReadableType s)` Render the given opaque instances into the given geometry buffer.

    - ### Methods inherited from interface com.io7m.r2.core.R2DeletableType

      `delete`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceUsableType

      `isDeleted`

- - ### Method Detail

    - #### renderGeometry

          void renderGeometry(com.io7m.jareas.core.AreaInclusiveUnsignedLType area,
                              Optional<R2GeometryBufferUsableType> gbuffer,
                              com.io7m.jcanephora.profiler.JCGLProfilingContextType pc,
                              com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc,
                              R2MatricesObserverType m,
                              R2SceneOpaquesReadableType s)

      Render the given opaque instances into the given geometry buffer.

      If a geometry buffer is provided, it will be bound before evaluation and left bound after the method returns.

      Parameters:
        `area` - The output viewport
        `gbuffer` - The optional geometry buffer
        `pc` - A profiling context
        `uc` - A texture unit context
        `m` - A matrix context
        `s` - The opaque instances

Copyright © 2017 <code@io7m.com> http://io7m.com